summaryrefslogtreecommitdiffstats
path: root/Admin
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-10-15 16:27:27 +0900
committerDaiki Ueno <ueno@gnu.org>2014-10-15 16:27:27 +0900
commit58bea74662aeb7ebe6a58b9396e31ba747fa7c23 (patch)
tree81c435d7ef769a233c5940635bcfb54dc11ad822 /Admin
parenta843584fc210219a62472305d924de44ebb0ab02 (diff)
downloadexternal_gettext-58bea74662aeb7ebe6a58b9396e31ba747fa7c23.zip
external_gettext-58bea74662aeb7ebe6a58b9396e31ba747fa7c23.tar.gz
external_gettext-58bea74662aeb7ebe6a58b9396e31ba747fa7c23.tar.bz2
maint: Add a script to add release entry to ChangeLogs
Diffstat (limited to 'Admin')
-rw-r--r--Admin/release-steps1
-rwxr-xr-xAdmin/update-changelog46
2 files changed, 47 insertions, 0 deletions
diff --git a/Admin/release-steps b/Admin/release-steps
index 8836bc5..e2b5129 100644
--- a/Admin/release-steps
+++ b/Admin/release-steps
@@ -61,6 +61,7 @@ Tasks not to forget before release:
- Add an entry to all the ChangeLogs
except gettext-tools/examples/hello-c++-kde/admin/ChangeLog.
+ Run Admin/update-changelog from the top-level directory.
- Update translations from the Translation Project
diff --git a/Admin/update-changelog b/Admin/update-changelog
new file mode 100755
index 0000000..af91587
--- /dev/null
+++ b/Admin/update-changelog
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# Copyright (C) 2014 Free Software Foundation, Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# This file is meant for maintainers of GNU gettext. It prepends a
+# release-announcement entry to all ChangeLog files.
+#
+# Usage: update-changelog VERSION USER EMAIL
+
+test $# == 3 || { echo "Usage: $0 VERSION USER EMAIL" 1>&2; exit 1; }
+
+if test ! -d gettext-runtime || test ! -d gettext-tools; then
+ echo "$0: run in the top-level directory" 1>&2
+ exit 1
+fi
+
+ver=$1
+user=$2
+email=$3
+
+for file in `find . -name "ChangeLog"`; do
+ test $file = "./gnulib/ChangeLog" \
+ || test $file = "./gettext-tools/examples/hello-c++-kde/admin/ChangeLog" \
+ || { date=`date -u +%Y-%m-%d`;
+ cat <<EOF
+$date $user <$email>
+
+ * gettext $ver released.
+
+EOF
+ cat $file; } > $file.tmp && mv $file.tmp $file
+done